/**
  ******************************************************************************
  * @file stm8s_it.c
  * @brief This file contains all the interrupt routines.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.0.1
  * @date 10/13/2008
  ******************************************************************************
  *
  */

// Includes ------------------------------------------------------------------
#include "stm8s_it.h"
#include "swuart.h"

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------

// Public functions ----------------------------------------------------------

 // @addtogroup IT_Functions


#ifdef _COSMIC_
/**
  * @brief Dummy interrupt routine
  * @par Parameters:
  * None
  * @retval void None
  * @par Required preconditions:
  * None
  * @par Called functions:
  * None
*/
@near @interrupt void NonHandledInterrupt(void)
{
  /* In order to detect unexpected events during development,
     it is recommended to set a breakpoint on the following instruction.
  */
  return;
}
#endif

/**
  * @brief Timer3 Update/Overflow/Break Interruption routine.
  * @par Parameters:
  * None
  * @retval void None
  * @par Required preconditions:
  * None
  * @par Called functions:
  * None
  */
  
#ifdef _COSMIC_
@near @interrupt void TIM3_UPD_OVF_BRK_IRQHandler (void)
#else
void TIM3_UPD_OVF_BRK_IRQHandler(void) interrupt 15
#endif
{
#ifdef SWUART_TRANSMIT_USED
	uart_Tx_timing();
#endif

  return;
}

/**
  * @brief Timer3 Capture/Compare Interruption routine.
  * @par Parameters:
  * None
  * @retval void None
  * @par Required preconditions:
  * None
  * @par Called functions:
  * None
  */
#ifdef _COSMIC_
@near @interrupt void TIM3_CAP_COM_IRQHandler (void)
#else
void TIM3_CAP_COM_IRQHandler(void) interrupt 16
#endif
{
#ifdef SWUART_RECEIVE_USED
	uart_Rx_timing();
#endif
  return;
}



